%define oname OpenIPMI

%define major 0
%define ui_major 1
%define libname %mklibname openipmi %{major}
%define libcmdlang %mklibname openipmicmdlang %{major}
%define libglib %mklibname openipmiglib %{major}
%define liblanserv %mklibname ipmilanserv %{major}
%define libposix %mklibname openipmiposix %{major}
%define libpthread %mklibname openipmipthread %{major}
%define libtcl %mklibname openipmitcl %{major}
%define libutils %mklibname openipmiutils %{major}
%define libui %mklibname openipmiui %{ui_major}
%define devname %mklibname openipmi -d

Summary:	Library interface to IPMI
Name:		openipmi
Version:	2.0.18
Release:	7
License:	LGPLv2+
Group:		System/Kernel and hardware
Url:		http://openipmi.sourceforge.net
Source0:	http://downloads.sourceforge.net/openipmi/%{oname}-%{version}.tar.gz
Patch0:		OpenIPMI-2.0.16-python26.patch
Patch1:		openipmi-2.0.16-pthreads.patch
BuildRequires:	swig >= 1.3
BuildRequires:	tcl
BuildRequires:	tk
BuildRequires:	tkinter
BuildRequires:	wxPythonGTK
BuildRequires:	libgdbm-devel
BuildRequires:	perl-devel
BuildRequires:	net-snmp-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
Requires(pre,post):	rpm-helper
Provides:	IPMI = %{EVRD}

%description
This package contains a shared library implementation of IPMI and the
basic tools used with OpenIPMI.

%files
%doc FAQ README README.Force
%doc README.MotorolaMXP
%{_sysconfdir}/init.d/ipmi
%config(noreplace) %{_sysconfdir}/sysconfig/ipmi

%preun
%_preun_service ipmi

%postun
%_post_service ipmi

#----------------------------------------------------------------------------

%package gui
Summary:	GUI (in python) for OpenIPMI
Group:		System/Kernel and hardware
Requires:	python-%{name} = %{EVRD}
Requires:	wxPython >= 2.4.2
Requires:	wxPythonGTK

%description gui
A GUI interface for OpenIPMI.  Written in python an requiring wxWidgets.

%files gui
%{_bindir}/openipmigui
%{python_sitearch}/openipmigui/*

#----------------------------------------------------------------------------

%package lanserv
Summary:	Emulates an IPMI network listener
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description lanserv
This package contains a network IPMI listener.

%files lanserv
%{_bindir}/ipmilan
%{_mandir}/man8/ipmilan.8*

#----------------------------------------------------------------------------

%package ui
Summary:	User Interface (UI) for %{name}
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description ui
This package contains a user interface for %{name}.

%files ui
%{_bindir}/ipmi_ui
%{_bindir}/ipmicmd
%{_bindir}/openipmicmd
%{_bindir}/ipmish
%{_bindir}/openipmish
%{_bindir}/solterm
%{_bindir}/rmcp_ping
%{_mandir}/man1/ipmi_ui.1*
%{_mandir}/man1/openipmicmd.1*
%{_mandir}/man1/openipmish.1*
%{_mandir}/man1/openipmigui.1*
%{_mandir}/man1/solterm.1*
%{_mandir}/man1/rmcp_ping.1*
%{_mandir}/man7/ipmi_cmdlang.7*
%{_mandir}/man7/openipmi_conparms.7*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Requires:	%{name}
Conflicts:	%{name} < 2.0.18-7

%description -n %{libname}
Shared library for OpenIPMI.

%files -n %{libname}
%{_libdir}/libOpenIPMI.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libcmdlang}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name} < 2.0.18-7

%description -n %{libcmdlang}
Shared library for OpenIPMI.

%files -n %{libcmdlang}
%{_libdir}/libOpenIPMIcmdlang.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libglib}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name} < 2.0.18-7

%description -n %{libglib}
Shared library for OpenIPMI.

%files -n %{libglib}
%{_libdir}/libOpenIPMIglib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{liblanserv}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name}-lanserv < 2.0.18-7

%description -n %{liblanserv}
Shared library for OpenIPMI.

%files -n %{liblanserv}
%{_libdir}/libIPMIlanserv.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libposix}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name} < 2.0.18-7

%description -n %{libposix}
Shared library for OpenIPMI.

%files -n %{libposix}
%{_libdir}/libOpenIPMIposix.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libpthread}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name} < 2.0.18-7

%description -n %{libpthread}
Shared library for OpenIPMI.

%files -n %{libpthread}
%{_libdir}/libOpenIPMIpthread.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libtcl}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Provides:	tcl-%{name} = %{EVRD}
Conflicts:	tcl-%{name} < 2.0.18-7
Obsoletes:	tcl-%{name} < 2.0.18-7

%description -n %{libtcl}
Shared library for OpenIPMI.

%files -n %{libtcl}
%{_libdir}/libOpenIPMItcl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libui}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name}-ui < 2.0.18-7

%description -n %{libui}
Shared library for OpenIPMI.

%files -n %{libui}
%{_libdir}/libOpenIPMIui.so.%{ui_major}*

#----------------------------------------------------------------------------

%package -n %{libutils}
Summary:	Shared library for OpenIPMI
Group:		System/Libraries
Conflicts:	%{name} < 2.0.18-7

%description -n %{libutils}
Shared library for OpenIPMI.

%files -n %{libutils}
%{_libdir}/libOpenIPMIutils.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for OpenIPMI
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libcmdlang} = %{EVRD}
Requires:	%{libglib} = %{EVRD}
Requires:	%{liblanserv} = %{EVRD}
Requires:	%{libposix} = %{EVRD}
Requires:	%{libpthread} = %{EVRD}
Requires:	%{libtcl} = %{EVRD}
Requires:	%{libui} = %{EVRD}
Requires:	%{libutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 2.0.18-7
Obsoletes:	%{name}-devel < 2.0.18-7

%description -n %{devname}
Contains additional files need for a developer to create applications
and/or middleware that depends on libOpenIPMI.

%files -n %{devname}
%doc doc/IPMI.pdf
%{_includedir}/OpenIPMI
%{_libdir}/*.so
%{_libdir}/pkgconfig/OpenIPMI*.pc

#----------------------------------------------------------------------------

%package -n perl-%{name}
Summary:	Perl interface for OpenIPMI
Group:		Development/Perl
Requires:	%{name} = %{EVRD}

%description -n perl-%{name}
A Perl interface for OpenIPMI.

%files -n perl-%{name}
%doc swig/OpenIPMI.i swig/perl/sample swig/perl/ipmi_powerctl
%{perl_vendorarch}/OpenIPMI.pm
%{perl_vendorarch}/auto/OpenIPMI

#----------------------------------------------------------------------------

%package -n python-%{name}
Summary:	Python interface for OpenIPMI
Group:		Development/Python
Requires:	%{name} = %{EVRD}

%description -n python-%{name}
A Python interface for OpenIPMI.

%files -n python-%{name}
%doc swig/OpenIPMI.i
%{python_sitearch}/*OpenIPMI.*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
export PYTHONDONTWRITEBYTECODE=
%define _disable_ld_no_undefined 1
%configure2_5x \
	--with-perlinstall=%{perl_vendorarch} \
	--with-pythoninstall=%{python_sitearch} \
	--with-glib12=no \
	--with-pythonusepthreads=yes \
	--with-perlusepthreads=yes \
	--disable-static

%make

%install
%makeinstall_std PYTHON_GUI_DIR=openipmigui

install -m755 ipmi.init -D %{buildroot}/%{_sysconfdir}/init.d/ipmi
install -m644 ipmi.sysconf -D %{buildroot}/%{_sysconfdir}/sysconfig/ipmi


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.18-7
- (4af4f54) Package libraries according to library packaging policy
- (4af4f54) Drop unused patches
- (4af4f54) Spec cleanup


